Bug 862939 - Two devices with the same device node cause a double free (and crash)
Summary: Two devices with the same device node cause a double free (and crash)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-wacom
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-04 01:18 UTC by Peter Hutterer
Modified: 2013-02-21 08:02 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-drv-wacom-0.16.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:02:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
wacom-double-free.conf (716 bytes, text/plain)
2012-10-04 01:18 UTC, Peter Hutterer
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0296 0 normal SHIPPED_LIVE xorg-x11-drv-wacom bug fix and enhancement update 2013-02-20 20:36:04 UTC

Description Peter Hutterer 2012-10-04 01:18:00 UTC
Created attachment 621209 [details]
wacom-double-free.conf

Description of problem:
A xorg.conf with two devices containing the same input node will cause a double free and subsequent X server crash.

Version-Release number of selected component (if applicable):
xorg-x11-drv-wacom-0.16.1-1.el6

How reproducible:
Install the attached xorg.conf, adjusting the device path to a real wacom device. Start server.
 
Additional info:
Already fixed upstream, a trivial patch.
http://linuxwacom.git.sourceforge.net/git/gitweb.cgi?p=linuxwacom/xf86-input-wacom;a=commit;h=0a27c707eafe57a85266452a395f89c8237efdbf

Comment 2 RHEL Program Management 2012-10-04 01:50:32 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 4 Peter Hutterer 2012-10-11 23:21:21 UTC
MODIFIED

xorg-x11-drv-wacom-0.16.1-2.el6 is available in brew

Comment 7 Michael Boisvert 2013-01-17 21:11:47 UTC
I was able to reproduce the crash in: xorg-x11-drv-wacom-0.16.1-1.el6. Upon installing xorg-x11-drv-wacom-0.16.1-3.el6 X started successfully with the supplied xorg.conf.

Verified.

Comment 9 errata-xmlrpc 2013-02-21 08:02:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0296.html


Note You need to log in before you can comment on or make changes to this bug.